# PetscViewerBinaryMatlabOpen

Open a binary viewer and write matlab info file initialization. This class of viewer writes matlab code to the .info file associated with the binary output file. Executing the matlab code with bin/matlab/PetscReadBinaryMatlab.m loads the output into a matlab data structure.

### Synopsis

    PetscErrorCode PetscViewerBinaryMatlabOpen(MPI_Comm comm, const char fname[], PetscViewer *viewer)

Collective on MPI_Comm

### Input Parameters

| comm | - The communicator
| fname | - The binary output filename

### Output Parameter

viewer -The viewer object

### See Also

PetscViewerBinaryMatlabDestroy(), PetscViewerBinaryMatlabOutputVec(),
PetscViewerBinaryMatlabOutputVecDA(), PetscViewerBinaryMatlabOutputBag()

Level:beginner
Location: src/dm/da/utils/binaryMatlab.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages